Complete MathML output mode for texvc
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
brion
Blocked By
T2213: XHTML mime-type autodetect
Subscribers
brion, CesarB, wikibugs-l
Projects
Reference
bz672
Description

Right now only painfully simple things like "y=x+2" are output as MathML without
rasterization. It would be nice to support more constructs...


Version: unspecified
Severity: enhancement
URL: http://cvs.sourceforge.net/viewcvs.py/wikipedia/phase3/math/mathml.ml

bzimport added a project: Math.Via ConduitNov 21 2014, 6:59 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz672.
brion created this task.Via LegacyOct 10 2004, 8:09 AM
bzimport added a comment.Via ConduitApr 2 2005, 12:50 PM

xmlizer wrote:

Link to the source to improve

bzimport added a comment.Via ConduitMay 13 2005, 3:27 PM

avarab wrote:

Isn't this useless unless the wiki is sending application/xhtml+xml,
application/xhtml or text/xml as its mimetype?

brion added a comment.Via ConduitMay 15 2005, 1:14 AM

Yes, which is probably why there's not been much movement on it. ;)

bzimport added a comment.Via ConduitApr 14 2006, 1:29 PM

j.niesen wrote:

Patch to enable MathML

This patch (against SVN revision 13633) enables MathML.

It needs another program, called blahtex, to actually generate the MathML. This
program can be downloaded at http://www.blahtex.org/ . As a side effect,
blahtex can handle more LaTeX and gives clearer error messages.

The pages are sent as application/xhtml+xml if the user has enabled MathML in
the user preferences.

See http://meta.wikimedia.org/wiki/Blahtex/Embedding_Blahtex_in_MediaWiki for
more details.

attachment blahtex-patch ignored as obsolete

bzimport added a comment.Via ConduitMay 19 2006, 4:40 PM

j.niesen wrote:

Patch to enable MathML

This patch has more comments for doxygen in Math.php and it is updated against
r14294.

Attached: patch-blahtex-2.txt

bzimport added a comment.Via ConduitJun 26 2006, 10:50 AM

j.niesen wrote:

Patch to add MathAfterTexvc hook

This patch adds a hook to Math.php to hang Blahtex as an extension on

attachment add-MathAfterTexvc-hook.txt ignored as obsolete

bzimport added a comment.Via ConduitJun 26 2006, 3:50 PM

robchur wrote:

Comment on attachment 2012
Patch to add MathAfterTexvc hook

Applied to SVN trunk, r15068.

bzimport added a comment.Via ConduitJul 24 2009, 11:29 AM

happy.melon.wiki wrote:

(In reply to comment #8)

(From update of attachment 2012 [details])
Applied to SVN trunk, r15068.

Gonna mark as resolved FIXED on that basis: per c2 and c3 this can't really be done in core; extension support is all we should provide, which is now done.

Diffusion changed the status of blocking task T2213: XHTML mime-type autodetect from "Declined" to "Resolved".Via DaemonsWed, Mar 4, 8:23 AM
Aklapper changed the status of blocking task T2213: XHTML mime-type autodetect from "Resolved" to "Declined".Via WebWed, Mar 4, 5:41 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.